﻿<%@ Application Language="C#" %>
<%@ Import Namespace="System.Web.Routing" %>

<script runat="server">

    void Application_Start(object sender, EventArgs e) 
    {
        RegisterRoutes(RouteTable.Routes);
    }

    void RegisterRoutes(RouteCollection routes)
    {
        routes.Add("Demo1", new Route("Demo1/", new CustomRouteHandler("~/WebForm1.aspx")));
        
        routes.Add("Demo2", new Route("Demo2/{action}", new CustomRouteHandler("~/WebForm2.aspx")));
        
        routes.Add("Demo3", new Route("Demo3/{action}", new RouteValueDictionary { { "action", "show" } }, new CustomRouteHandler("~/WebForm3.aspx")));

        routes.Add("Demo4", new Route("Demo4/{action}", new RouteValueDictionary { { "action", "show" } }, new RouteValueDictionary { { "action", @"\w{4}" } }, new CustomRouteHandler("~/WebForm4.aspx")));
    }
    
    void Application_End(object sender, EventArgs e) 
    {
        //  Code that runs on application shutdown

    }
        
    void Application_Error(object sender, EventArgs e) 
    { 
        // Code that runs when an unhandled error occurs

    }

    void Session_Start(object sender, EventArgs e) 
    {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e) 
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
       
</script>
